LibreOffice LibreOffice 26.2 SDK API Reference

Variables
com::sun::star::sheet::ConditionOperator2 Constant Group Reference

is used to specify the type of XSheetCondition2. More...

## Variables
const long | NONE = 0
| no condition is specified. More...
const long | EQUAL = 1
| value has to be equal to the specified value. More...
const long | NOT_EQUAL = 2
| the value must not be equal to the specified value. More...
const long | GREATER = 3
| the value has to be greater than the specified value. More...
const long | GREATER_EQUAL = 4
| the value has to be greater than or equal to the specified value. More...
const long | LESS = 5
| the value has to be less than the specified value. More...
const long | LESS_EQUAL = 6
| the value has to be less than or equal to the specified value. More...
const long | BETWEEN = 7
| the value has to be between the two specified values. More...
const long | NOT_BETWEEN = 8
| the value has to be outside of the two specified values. More...
const long | FORMULA = 9
| the specified formula has to give a non-zero result. More...
const long | DUPLICATE = 10
| Conditionally format duplicate values. More...
const long | NOT_DUPLICATE = 11
| Conditionally format non-duplicate values. More...

## Detailed Description

is used to specify the type of XSheetCondition2.

## Variable Documentation

## ◆ BETWEEN

const long BETWEEN = 7

the value has to be between the two specified values.

## ◆ DUPLICATE

const long DUPLICATE = 10

Conditionally format duplicate values.

## ◆ EQUAL

const long EQUAL = 1

value has to be equal to the specified value.

## ◆ FORMULA

const long FORMULA = 9

the specified formula has to give a non-zero result.

## ◆ GREATER

const long GREATER = 3

the value has to be greater than the specified value.

## ◆ GREATER_EQUAL

const long GREATER_EQUAL = 4

the value has to be greater than or equal to the specified value.

## ◆ LESS

const long LESS = 5

the value has to be less than the specified value.

## ◆ LESS_EQUAL

const long LESS_EQUAL = 6

the value has to be less than or equal to the specified value.

## ◆ NONE

const long NONE = 0

no condition is specified.

## ◆ NOT_BETWEEN

const long NOT_BETWEEN = 8

the value has to be outside of the two specified values.

## ◆ NOT_DUPLICATE

const long NOT_DUPLICATE = 11

Conditionally format non-duplicate values.

## ◆ NOT_EQUAL

const long NOT_EQUAL = 2

the value must not be equal to the specified value.